summaryrefslogtreecommitdiffstats
path: root/ci/exec_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/exec_test.sh')
-rwxr-xr-xci/exec_test.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/exec_test.sh b/ci/exec_test.sh
index e402e0c31..791a80bcf 100755
--- a/ci/exec_test.sh
+++ b/ci/exec_test.sh
@@ -60,6 +60,18 @@ function odl_tests(){
fi
}
+function sfc_prepare(){
+ ids=($(neutron security-group-list|grep default|awk '{print $2}'))
+ for id in ${ids[@]}; do
+ if ! neutron security-group-show $id|grep 22 &>/dev/null; then
+ neutron security-group-rule-create --protocol tcp \
+ --port-range-min 22 --port-range-max 22 --direction ingress $id
+ neutron security-group-rule-create --protocol tcp \
+ --port-range-min 22 --port-range-max 22 --direction egress $id
+ fi
+ done
+}
+
function run_test(){
test_name=$1
serial_flag=""
@@ -200,6 +212,10 @@ done
echo "Sourcing Credentials ${FUNCTEST_CONF_DIR}/openstack.creds to run the test.."
source ${FUNCTEST_CONF_DIR}/openstack.creds
+# ODL Boron workaround to create additional flow rules to allow port 22 TCP
+if [[ $DEPLOY_SCENARIO == *"odl_l2-sfc"* ]]; then
+ sfc_prepare
+fi
# Run test
run_test $TEST